#ifndef DGX_PSX_H
#define DGX_PSX_H

#include <kernel.h>
#include <stdlib.h>
#include <limits.h>

#include <sys/types.h>
#include <libgte.h>
#include <libgpu.h>
#include <libspu.h>
#include <libetc.h>
#include <libcd.h>

#define VERSION_ENGINE_MAJOR	1
#define VERSION_ENGINE_MINOR	0
#define VERSION_ENGINE_BUILD	0
#define VERSION_ENGINE_SUFFIX	""

#define VERSION_GAME_MAJOR	0
#define VERSION_GAME_MINOR	0
#define VERSION_GAME_BUILD	0
#define VERSION_GAME_SUFFIX	""

#define NTSC_DISC	0 /* MODE_NTSC */
#define PAL_DISC	1 /* MODE_PAL */

/*
 * this game does not automatically detect the region of a
 * console. whatever REGION is set to at compile time is the
 * final region that will be supported on that disc.
 */

#define REGION		NTSC_DISC
//#define IS_INTERLACE

/* set correct VSync timings */
#if REGION == NTSC_DISC
	#define SECOND	60
#elif REGION == PAL_DISC
	#define SECOND	50
#endif

#define PSX_MIN			(SECOND*SECOND)
#define PSX_HOUR		(SECOND*SECOND*SECOND)

/*
 * if EXE_BUILD is defined, it will disable CD initialization and disable
 * attempts to do CD operations.
 */
#define EXE_BUILD

int dgx_cpu_time, dgx_gpu_time;

#endif

